Article

Cannot log in

Hello Stefan, I finally got to log in my user account in your website, but I still can't log in your software. I keep getting "This underlying connection was closed: An unexpected error occurred on a send". What does this mean ? How can I log in the software ? Thanks for your help

Comments ( 7 )


  • Corneliu
    26.2.2019 1:10:08

    Also, I have subscribed (again) today, paid the subscription, but in your website it still says it expired on the 23red of February. :(

  • Admin
    26.2.2019 9:25:54

    There was planned maintenance-Tuesday 26th February & Wednesday 27th February 07:00 - 07:15 GMT on betfair servers.

    From 19th February 2019 betfair servers accept only TLS 1.2 secure protocol.

    Whenever any problem occurs with connection to betfair servers, first what you should do is click on menu item: Help / Betfair Exchange Api Status, it opens the following web page:

    https://status.developer.betfair.com/

    And so here you can check whether all betfair services work without problems.

    If you problem is with TLS 1.2, then simply update to the latest version of windows operating system.

    I use bfexplorer app daily, so you can be sure there is no problem in bfexplorer app.

  • Corneliu
    26.2.2019 14:09:50

    It's not the OS because Geeks Toy works fine, I have updated the OS and still cannot log in BFExplorer. Why I paid yesterday and it still says in your website that my subscription expired on 23 FEB ?

  • Admin
    26.2.2019 16:15:05

    What is your OS version? Send me TeamViewer access (by support email) code so I can check it myself.

    I tested bfexplorer on Windows 10 and Windows Server 2012 and all works fine. I can confirm that bfexporer will not work on Windows 7 or XP, as bfexplorer app is compiled to .net 4.7 version without support for Windows 7 or XP.

    If you want to run app with TLS 1.2 on Windows 7 or XP them it is just not a question of installing the latest version of .net assemblies, just google: tls 1.2 on windows 7.

  • Corneliu
    26.2.2019 17:39:39

    I got it ! I managed to update TLS 1.2 on my computer. Just can't understand why this problem only happened wit BFExplorer, as with Geeks Toy always worked fine all the time. Thanks for all your help !   

  • Admin
    26.2.2019 18:12:16

    I do not know on what version of .net is built Geektoy, but for instance cymatic is built on .net 4.5, and also does not support windows xp and 7.

    http://www.cymatic.co.uk/forum/topic1680.html

    By general TLS 1.2 is supported by .net 4.6 and above so all apps built on such .net version does not require any changes, but of course TLS 1.2 must be directly supported by OS, so it must be its default protocol for https.

    Other versions of .net require:

    ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12

    Because bfexplorer app is always built against the latest version of .net, I did not have to rebuild my app to comply TLS 1.2 requirements, but on the other hand users must use latest updates for OS.

    Once again keep in mind what I said before: “I use bfexplorer app daily, so you can be sure there is no problem in bfexplorer app.”, so any problem you have got are in 99% cases on your side.

    Similar problems reported at the same day one user from Asia, he told me that app worked day before but not 19 February, I replied similarly like in your case.  Later after 1-2 days he reported that all works fine on another computer?!

    So now think a little bit, he used the same app, one was not working and the other was working but on another computer, of course he did not bother to report on what OS he runs bfexplorer that have problems to connect, again I replied by more details about TLS 1.2 as I was sure that it is his problem. He did not reply on what OS he runs bfexporer but again complain, actually just copy pasting original email.

    Finally he managed to execute TeamViewer   session, and what do you think what OS he was running, well yes Windows XP.

    Keep in mind that when using OS which is no more supported by Microsoft you did not get anymore any security patches, there is 100% chance your computer is full of viruses and all kinds of malware.

  • Admin
    26.2.2019 18:17:03

    More about TLS 1.2 for software developers:

    https://blogs.perficient.com/2016/04/28/tsl-1-2-and-net-support/